Download it now!
Bug 119219 - For Japanese vertical writing, the first word's candidate list obscures the text.
Summary: For Japanese vertical writing, the first word's candidate list obscures the t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK CJK-Japanese
  Show dependency treegraph
 
Reported: 2018-08-11 17:00 UTC by typingcat
Modified: 2019-11-16 03:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
vertical writing mode in Writer (55.14 KB, image/png)
2018-08-18 17:31 UTC, Shinji Enoki
Details
Recording of the screen when the problem happens. (8.77 MB, video/x-flv)
2018-08-18 19:54 UTC, typingcat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description typingcat 2018-08-11 17:00:54 UTC
I am not entirely sure if this is a bug of Microsoft Japanese IME or Writer, but since this happens with only the first word, I guessed it may be Writer's bug.

*Steps to reproduce
1. Go to Format -> Page -> Page
2. Set Text direction to Right-to-left (vertical).
3. Type some Japanese text using Windows' in-built Japanese IME. 

For words other than the first word of a line, the candidate list (press the spacebar) is displayed to the left of the current line, so what you are typing is not obscured. 

But for the first word of a line, the candidate list is displayed above the characters being typed, so you cannot see what is being typed. The candidate list first pops up to the right of the character, but immediately jumps to the left obscuring the characters.
Comment 1 Xisco Faulí 2018-08-15 18:04:55 UTC
Hello Shinji,
Would you mind taking a look at this issue when you have some time ?
Regards
Comment 2 Shinji Enoki 2018-08-18 17:15:10 UTC
I checked in the following environment, but it did not reproduce

Windows 10 (Windows 10 Fall Creators Update not applied)
Version: 6.1.0.3 (x64)
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 2; OS:Windows 10.0; UI render: default; 
Locale: ja-JP (ja_JP); Calc: group threaded
Comment 3 Shinji Enoki 2018-08-18 17:31:42 UTC
Created attachment 144273 [details]
vertical writing mode in Writer

It seems that candidate list is correct position
Comment 4 typingcat 2018-08-18 19:54:43 UTC
Created attachment 144274 [details]
Recording of the screen when the problem happens.

Recording of the screen when the problem happens.
Comment 5 typingcat 2018-08-18 20:04:04 UTC
I am sorry for a separate comment. I did not know that I could add the comment right when adding a new file. It seems that I cannot edit the comment.

I recorded the screen using a free recorder (sorry for the watermark at the centre). This is a freshly installed Windows 10 April 2018 Update (that is, the latest version), and I have not changed anything except that I added the Japanese IME. At first very typing, it did not happen, so I thought it might be due to Kana Input (which I use), so I changed it to Kana Input before recording the screen, but after this recording, I could confirm that it also happens with Romaji Input.

Anyways, at the very beginning, it did not happen but then I changed the mode to Direct Input and then typed a space, and then pressed the backspace to delete it. I am not sure if that is related to this problem or not, but after the first line, this problem continued to happen for all lines without switching the mode.

The video format is "FLV" which can be played with most of the famous video players such as VLC or PotPlayer. I thought that I could have convert it to more popular format such as MP4, but I was afraid that it might degrade the crispness or increase the file size. But let me know if you cannot play "FLV".
Comment 6 Shinji Enoki 2018-08-19 07:13:14 UTC
Hi typingcat, Thank you for the detailed information.

It reproduced when setting as follows.

1. Select Menu [Tools]-[Options]
2. [Language Settings]-[Languages]
3. Both "User interface" and "Locale setting" are set to English (USA)
To reproduce it was necessary to delete once.

It seems to happen when "Locale setting" set to English.

User interface: English (USA)
Locale setting: English (USA)
-> It reproduced

User interface: Japanese
Locale setting: English (USA)
-> It reproduced

User interface: English (USA)
Locale setting: Japanese
->It does not reproduce

User interface: Japanese
Locale setting: Japanese
->It does not reproduce
Comment 7 QA Administrators 2019-11-16 03:41:48 UTC
Dear typingcat,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug